aboutsummaryrefslogtreecommitdiff
path: root/check/yash.sh
diff options
context:
space:
mode:
Diffstat (limited to 'check/yash.sh')
-rw-r--r--check/yash.sh5
1 files changed, 5 insertions, 0 deletions
diff --git a/check/yash.sh b/check/yash.sh
new file mode 100644
index 00000000..c8722f3d
--- /dev/null
+++ b/check/yash.sh
@@ -0,0 +1,5 @@
+for yash in yash/* ; do
+ [ -f "$yash" ] || continue
+ yash -n "$yash" || exit
+done
+printf 'All yash scripts parsed successfully.\n'